package io.dekorate.halkyon.config;

import io.dekorate.project.Project;
import io.dekorate.kubernetes.config.ConfigKey;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import java.lang.Object;
import java.lang.String;
import java.util.Map;

public class EditableCapabilityConfig extends CapabilityConfig implements Editable<CapabilityConfigBuilder>{


    public EditableCapabilityConfig(){
            super();
    }
    public EditableCapabilityConfig(Project project,Map<ConfigKey,Object> attributes,String category,String type,String name,String version,io.dekorate.halkyon.config.Parameter[] parameters){
            super(project, attributes, category, type, name, version, parameters);
    }

    public CapabilityConfigBuilder edit(){
            return new CapabilityConfigBuilder(this);
    }




}
