package io.dekorate.halkyon.config;

import io.dekorate.kubernetes.config.ConfigKey;
import io.dekorate.kubernetes.config.Label;
import java.lang.String;
import io.dekorate.kubernetes.config.Env;
import io.dekorate.project.Project;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import io.dekorate.halkyon.model.DeploymentMode;
import java.lang.Object;
import java.util.Map;

public class EditableComponentConfig extends ComponentConfig implements Editable<ComponentConfigBuilder>{


    public EditableComponentConfig(){
            super();
    }
    public EditableComponentConfig(Project project,Map<ConfigKey,Object> attributes,String partOf,String name,String version,DeploymentMode deploymentMode,boolean exposeService,io.dekorate.kubernetes.config.Env[] envs,io.dekorate.kubernetes.config.Label[] labels,String buildType,String remote,CapabilityConfig[] provides,RequiredCapabilityConfig[] requires){
            super(project, attributes, partOf, name, version, deploymentMode, exposeService, envs, labels, buildType, remote, provides, requires);
    }

    public ComponentConfigBuilder edit(){
            return new ComponentConfigBuilder(this);
    }




}
