package io.dekorate.halkyon.config;

import io.dekorate.project.Project;
import io.dekorate.kubernetes.config.ConfigKey;
import io.dekorate.deps.kubernetes.api.builder.Editable;
import java.lang.Object;
import java.lang.String;
import java.util.Map;

public class EditableRequiredCapabilityConfig extends RequiredCapabilityConfig implements Editable<RequiredCapabilityConfigBuilder>{


    public EditableRequiredCapabilityConfig(){
            super();
    }
    public EditableRequiredCapabilityConfig(Project project,Map<ConfigKey,Object> attributes,String name,String category,String type,String boundTo,boolean autoBindable,io.dekorate.halkyon.config.Parameter[] parameters){
            super(project, attributes, name, category, type, boundTo, autoBindable, parameters);
    }

    public RequiredCapabilityConfigBuilder edit(){
            return new RequiredCapabilityConfigBuilder(this);
    }




}
