package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.Fluent;
import java.lang.String;
import java.lang.Boolean;

public interface BuildConfigFluent<A extends BuildConfigFluent<A>> extends Fluent<A>{


    public String getType();
    public A withType(String type);
    public Boolean hasType();
    public A withNewType(String arg1);
    public A withNewType(StringBuilder arg1);
    public A withNewType(StringBuffer arg1);
    public String getUrl();
    public A withUrl(String url);
    public Boolean hasUrl();
    public A withNewUrl(String arg1);
    public A withNewUrl(StringBuilder arg1);
    public A withNewUrl(StringBuffer arg1);
    public String getRef();
    public A withRef(String ref);
    public Boolean hasRef();
    public A withNewRef(String arg1);
    public A withNewRef(StringBuilder arg1);
    public A withNewRef(StringBuffer arg1);
    public String getContextPath();
    public A withContextPath(String contextPath);
    public Boolean hasContextPath();
    public A withNewContextPath(String arg1);
    public A withNewContextPath(StringBuilder arg1);
    public A withNewContextPath(StringBuffer arg1);
    public String getModuleDirName();
    public A withModuleDirName(String moduleDirName);
    public Boolean hasModuleDirName();
    public A withNewModuleDirName(String arg1);
    public A withNewModuleDirName(StringBuilder arg1);
    public A withNewModuleDirName(StringBuffer arg1);



}
