package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import io.dekorate.deps.jackson.annotation.JsonProperty;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.BaseFluent;
import java.lang.Object;
import java.lang.String;
import java.lang.Boolean;

public class CapabilityStatusFluentImpl<A extends CapabilityStatusFluent<A>> extends BaseFluent<A> implements CapabilityStatusFluent<A>{

    private String phase;

    public CapabilityStatusFluentImpl(){
    }
    public CapabilityStatusFluentImpl(CapabilityStatus instance){
            this.withPhase(instance.getPhase()); 
    }

    public String getPhase(){
            return this.phase;
    }

    public A withPhase(String phase){
            this.phase=phase; return (A) this;
    }

    public Boolean hasPhase(){
            return this.phase != null;
    }

    public A withNewPhase(String arg1){
            return (A)withPhase(new String(arg1));
    }

    public A withNewPhase(StringBuilder arg1){
            return (A)withPhase(new String(arg1));
    }

    public A withNewPhase(StringBuffer arg1){
            return (A)withPhase(new String(arg1));
    }

    public boolean equals(Object o){
            if (this == o) return true;
            if (o == null || getClass() != o.getClass()) return false;
            CapabilityStatusFluentImpl that = (CapabilityStatusFluentImpl) o;
            if (phase != null ? !phase.equals(that.phase) :that.phase != null) return false;
            return true;
    }




}
