package io.dekorate.halkyon.model;

import io.dekorate.deps.jackson.annotation.JsonInclude;
import io.dekorate.deps.jackson.annotation.JsonProperty;
import io.dekorate.deps.jackson.annotation.JsonPropertyOrder;
import io.dekorate.deps.jackson.databind.annotation.JsonDeserialize;
import io.dekorate.deps.kubernetes.api.model.Doneable;

import io.sundr.builder.annotations.Buildable;
import io.sundr.builder.annotations.Inline;



@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonPropertyOrder({
"phase",
})
@JsonDeserialize(using = io.dekorate.deps.jackson.databind.JsonDeserializer.None.class)
@Buildable(editableEnabled = false, builderPackage = "io.dekorate.deps.kubernetes.api.builder", inline = @Inline(type = Doneable.class, prefix = "Doneable", value = "done"))
public class ComponentStatus {

@JsonProperty("status")
private String phase;

public ComponentStatus() {
}

public ComponentStatus(String phase) {
this.phase = phase;
}

public String getPhase() {
return phase;
}

public void setPhase(String phase) {
this.phase = phase;
}
}
