package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableCapability extends CapabilityFluentImpl<DoneableCapability> implements Doneable<Capability>{

    private final CapabilityBuilder builder;
    private final Function<Capability,Capability> function;

    public DoneableCapability(Function<Capability,Capability> function){
            super();this.builder=new CapabilityBuilder(this);this.function=function;
    }
    public DoneableCapability(Capability item,Function<Capability,Capability> function){
            super(item);this.builder=new CapabilityBuilder(this, item);this.function=function;
    }
    public DoneableCapability(Capability item){
            super(item);this.builder=new CapabilityBuilder(this, item);this.function=new Function<Capability, Capability>() {
    public Capability apply(Capability item) {
        return item;
    }
}
;
    }

    public Capability done(){
             return function.apply(builder.build());
    }




}
