package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableCapabilityList extends CapabilityListFluentImpl<DoneableCapabilityList> implements Doneable<CapabilityList>{

    private final CapabilityListBuilder builder;
    private final Function<CapabilityList,CapabilityList> function;

    public DoneableCapabilityList(Function<CapabilityList,CapabilityList> function){
            super();this.builder=new CapabilityListBuilder(this);this.function=function;
    }
    public DoneableCapabilityList(CapabilityList item,Function<CapabilityList,CapabilityList> function){
            super(item);this.builder=new CapabilityListBuilder(this, item);this.function=function;
    }
    public DoneableCapabilityList(CapabilityList item){
            super(item);this.builder=new CapabilityListBuilder(this, item);this.function=new Function<CapabilityList, CapabilityList>() {
    public CapabilityList apply(CapabilityList item) {
        return item;
    }
}
;
    }

    public CapabilityList done(){
             return function.apply(builder.build());
    }




}
