package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableCapabilitySpec extends CapabilitySpecFluentImpl<DoneableCapabilitySpec> implements Doneable<CapabilitySpec>{

    private final CapabilitySpecBuilder builder;
    private final io.dekorate.deps.kubernetes.api.builder.Function<CapabilitySpec,CapabilitySpec> function;

    public DoneableCapabilitySpec(io.dekorate.deps.kubernetes.api.builder.Function<CapabilitySpec,CapabilitySpec> function){
            super();this.builder=new CapabilitySpecBuilder(this);this.function=function;
    }
    public DoneableCapabilitySpec(CapabilitySpec item,io.dekorate.deps.kubernetes.api.builder.Function<CapabilitySpec,CapabilitySpec> function){
            super(item);this.builder=new CapabilitySpecBuilder(this, item);this.function=function;
    }
    public DoneableCapabilitySpec(CapabilitySpec item){
            super(item);this.builder=new CapabilitySpecBuilder(this, item);this.function=new Function<CapabilitySpec, CapabilitySpec>() {
    public CapabilitySpec apply(CapabilitySpec item) {
        return item;
    }
}
;
    }

    public CapabilitySpec done(){
             return function.apply(builder.build());
    }




}
