package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableCapabilityStatus extends CapabilityStatusFluentImpl<DoneableCapabilityStatus> implements Doneable<CapabilityStatus>{

    private final CapabilityStatusBuilder builder;
    private final Function<CapabilityStatus,CapabilityStatus> function;

    public DoneableCapabilityStatus(Function<CapabilityStatus,CapabilityStatus> function){
            super();this.builder=new CapabilityStatusBuilder(this);this.function=function;
    }
    public DoneableCapabilityStatus(CapabilityStatus item,Function<CapabilityStatus,CapabilityStatus> function){
            super(item);this.builder=new CapabilityStatusBuilder(this, item);this.function=function;
    }
    public DoneableCapabilityStatus(CapabilityStatus item){
            super(item);this.builder=new CapabilityStatusBuilder(this, item);this.function=new Function<CapabilityStatus, CapabilityStatus>() {
    public CapabilityStatus apply(CapabilityStatus item) {
        return item;
    }
}
;
    }

    public CapabilityStatus done(){
             return function.apply(builder.build());
    }




}
