package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableComponent extends ComponentFluentImpl<DoneableComponent> implements Doneable<Component>{

    private final ComponentBuilder builder;
    private final Function<Component,Component> function;

    public DoneableComponent(Function<Component,Component> function){
            super();this.builder=new ComponentBuilder(this);this.function=function;
    }
    public DoneableComponent(Component item,Function<Component,Component> function){
            super(item);this.builder=new ComponentBuilder(this, item);this.function=function;
    }
    public DoneableComponent(Component item){
            super(item);this.builder=new ComponentBuilder(this, item);this.function=new Function<Component, Component>() {
    public Component apply(Component item) {
        return item;
    }
}
;
    }

    public Component done(){
             return function.apply(builder.build());
    }




}
