package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableComponentSpec extends ComponentSpecFluentImpl<DoneableComponentSpec> implements Doneable<ComponentSpec>{

    private final ComponentSpecBuilder builder;
    private final io.dekorate.deps.kubernetes.api.builder.Function<ComponentSpec,ComponentSpec> function;

    public DoneableComponentSpec(io.dekorate.deps.kubernetes.api.builder.Function<ComponentSpec,ComponentSpec> function){
            super();this.builder=new ComponentSpecBuilder(this);this.function=function;
    }
    public DoneableComponentSpec(ComponentSpec item,io.dekorate.deps.kubernetes.api.builder.Function<ComponentSpec,ComponentSpec> function){
            super(item);this.builder=new ComponentSpecBuilder(this, item);this.function=function;
    }
    public DoneableComponentSpec(ComponentSpec item){
            super(item);this.builder=new ComponentSpecBuilder(this, item);this.function=new Function<ComponentSpec, ComponentSpec>() {
    public ComponentSpec apply(ComponentSpec item) {
        return item;
    }
}
;
    }

    public ComponentSpec done(){
             return function.apply(builder.build());
    }




}
