package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableEnv extends EnvFluentImpl<DoneableEnv> implements Doneable<Env>{

    private final EnvBuilder builder;
    private final io.dekorate.deps.kubernetes.api.builder.Function<Env,Env> function;

    public DoneableEnv(io.dekorate.deps.kubernetes.api.builder.Function<Env,Env> function){
            super();this.builder=new EnvBuilder(this);this.function=function;
    }
    public DoneableEnv(Env item,io.dekorate.deps.kubernetes.api.builder.Function<Env,Env> function){
            super(item);this.builder=new EnvBuilder(this, item);this.function=function;
    }
    public DoneableEnv(Env item){
            super(item);this.builder=new EnvBuilder(this, item);this.function=new Function<Env, Env>() {
    public Env apply(Env item) {
        return item;
    }
}
;
    }

    public Env done(){
             return function.apply(builder.build());
    }




}
