package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableStorage extends StorageFluentImpl<DoneableStorage> implements Doneable<Storage>{

    private final StorageBuilder builder;
    private final io.dekorate.deps.kubernetes.api.builder.Function<Storage,Storage> function;

    public DoneableStorage(io.dekorate.deps.kubernetes.api.builder.Function<Storage,Storage> function){
            super();this.builder=new StorageBuilder(this);this.function=function;
    }
    public DoneableStorage(Storage item,io.dekorate.deps.kubernetes.api.builder.Function<Storage,Storage> function){
            super(item);this.builder=new StorageBuilder(this, item);this.function=function;
    }
    public DoneableStorage(Storage item){
            super(item);this.builder=new StorageBuilder(this, item);this.function=new Function<Storage, Storage>() {
    public Storage apply(Storage item) {
        return item;
    }
}
;
    }

    public Storage done(){
             return function.apply(builder.build());
    }




}
