package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.Fluent;
import java.lang.String;
import java.lang.Boolean;

public interface EnvFluent<A extends EnvFluent<A>> extends Fluent<A>{


    public String getName();
    public A withName(String name);
    public Boolean hasName();
    public A withNewName(String arg1);
    public A withNewName(StringBuilder arg1);
    public A withNewName(StringBuffer arg1);
    public String getValue();
    public A withValue(String value);
    public Boolean hasValue();
    public A withNewValue(String arg1);
    public A withNewValue(StringBuilder arg1);
    public A withNewValue(StringBuffer arg1);



}
