package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import io.dekorate.deps.kubernetes.api.builder.Fluent;
import java.lang.String;
import java.lang.Boolean;

public interface StorageFluent<A extends StorageFluent<A>> extends Fluent<A>{


    public String getName();
    public A withName(String name);
    public Boolean hasName();
    public A withNewName(String arg1);
    public A withNewName(StringBuilder arg1);
    public A withNewName(StringBuffer arg1);
    public String getCapacity();
    public A withCapacity(String capacity);
    public Boolean hasCapacity();
    public A withNewCapacity(String arg1);
    public A withNewCapacity(StringBuilder arg1);
    public A withNewCapacity(StringBuffer arg1);
    public String getMode();
    public A withMode(String mode);
    public Boolean hasMode();
    public A withNewMode(String arg1);
    public A withNewMode(StringBuilder arg1);
    public A withNewMode(StringBuffer arg1);



}
