package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableComponentList extends ComponentListFluentImpl<DoneableComponentList> implements Doneable<ComponentList>{

    private final ComponentListBuilder builder;
    private final Function<ComponentList,ComponentList> function;

    public DoneableComponentList(Function<ComponentList,ComponentList> function){
            super();this.builder=new ComponentListBuilder(this);this.function=function;
    }
    public DoneableComponentList(ComponentList item,Function<ComponentList,ComponentList> function){
            super(item);this.builder=new ComponentListBuilder(this, item);this.function=function;
    }
    public DoneableComponentList(ComponentList item){
            super(item);this.builder=new ComponentListBuilder(this, item);this.function=new Function<ComponentList, ComponentList>() {
    public ComponentList apply(ComponentList item) {
        return item;
    }
}
;
    }

    public ComponentList done(){
             return function.apply(builder.build());
    }




}
