package io.dekorate.halkyon.model;

import io.dekorate.deps.kubernetes.api.builder.Function;
import io.dekorate.deps.kubernetes.api.model.Doneable;

public class DoneableComponentStatus extends ComponentStatusFluentImpl<DoneableComponentStatus> implements Doneable<ComponentStatus>{

    private final ComponentStatusBuilder builder;
    private final Function<ComponentStatus,ComponentStatus> function;

    public DoneableComponentStatus(Function<ComponentStatus,ComponentStatus> function){
            super();this.builder=new ComponentStatusBuilder(this);this.function=function;
    }
    public DoneableComponentStatus(ComponentStatus item,Function<ComponentStatus,ComponentStatus> function){
            super(item);this.builder=new ComponentStatusBuilder(this, item);this.function=function;
    }
    public DoneableComponentStatus(ComponentStatus item){
            super(item);this.builder=new ComponentStatusBuilder(this, item);this.function=new Function<ComponentStatus, ComponentStatus>() {
    public ComponentStatus apply(ComponentStatus item) {
        return item;
    }
}
;
    }

    public ComponentStatus done(){
             return function.apply(builder.build());
    }




}
