package io.dekorate.halkyon.model;

import java.lang.StringBuffer;
import java.lang.StringBuilder;
import java.lang.String;
import java.lang.Boolean;

public interface RequiredComponentCapabilityFluent<A extends RequiredComponentCapabilityFluent<A>> extends ComponentCapabilityFluent<A>{


    public String getBoundTo();
    public A withBoundTo(String boundTo);
    public Boolean hasBoundTo();
    public A withNewBoundTo(String arg1);
    public A withNewBoundTo(StringBuilder arg1);
    public A withNewBoundTo(StringBuffer arg1);
    public boolean isAutoBindable();
    public A withAutoBindable(boolean autoBindable);
    public Boolean hasAutoBindable();



}
